package sk.kasv;

import org.hibernate.Session;
import org.hibernate.SessionFactory;
import org.hibernate.cfg.Configuration;

import java.io.FileNotFoundException;
import java.sql.SQLException;


public class Main {
  public static void main(String[] args) throws FileNotFoundException, SQLException {

    RunScripts.runSqlScripts();

    SessionFactory factory = new Configuration().
      configure("hibernate.cfg.xml").
      addAnnotatedClass(People.class).
      addAnnotatedClass(educator.class).
      addAnnotatedClass(educatorSkills.class).
      addAnnotatedClass(Rating.class).
      addAnnotatedClass(Type.class).
      buildSessionFactory();

    Session session = factory.getCurrentSession();

    try {

      session.beginTransaction();




     // educator i2 = new educator("Milan", "kelt", "milankelt@gmail.com");
     // educatorSkills id2 = new educatorSkills("very good", "good");
    //  i2.setSkills(id2);
     // session.persist(i2);


     educator i3 = session.get(educator.class, 1);
     educatorSkills id3 = session.get(educatorSkills.class, 1);


     //pridavanie typu vodickeho preukazu + hodnotenie ich

        type t1 = new Type("A group");
        type t2 = new Type("C group");

        rating r1 = new Rating("8");
        rating r2 = new Rating("6");


        t1.addRating(r1);
        t2.addRating(r2);

        session.persist(t1);
        session.persist(t2);

        session.persist(r1);
        session.persist(r2);

        i3.addCourse(t1);
        i3.addCourse(t2);


        //  Changing type driver group Title
        Type t2 = session.get(Type.class, 1);
        t2.setTitle("D group");




        //settovanie veci do DB update
       // id3.setDriving("excellent");
      //  id3.setLearning("bad");
      // i3.setFirstName("mike");
      // i3.setLastName("baller");
      // i3.setEmail("mike@gmail.com");



       //get from DB

      People people = session.get(People.class, 1);


      //  Rating rat = session.get(Rating.class, 2);

      // educator i1=session.get(educator.class,4);

      //removee from DB
     // session.remove(people);
        // session.remove(educator);

      session.getTransaction().commit();

    } finally {
      session.close();
    }
  }
}
