USE car_school;



CREATE TABLE `drivers-group`
(
    `id`            int(11) NOT NULL AUTO_INCREMENT,
    `type`         varchar(128) DEFAULT NULL,
    `educator_id` int(11) DEFAULT NULL,

    PRIMARY KEY (`id`),

    UNIQUE KEY `TITLE_UNIQUE` (`type`),

    KEY             `FK_EDUCATOR_idx` (`educator_id`),

    CONSTRAINT `FK_EDUCATOR`
        FOREIGN KEY (`educator_id`)
            REFERENCES `educator` (`id`)
);
